<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            {{'mpmApp.communicationEventCDB.home.createOrEditLabel' | translate}}
        </p-header>

        <div class="modal-body">
            
            <div class="form-group" [hidden]="!communicationEventCDB.idCommunicationEvent">
                <label for="id" jhiTranslate="global.field.id">ID</label>
                <input type="text" class="form-control" id="id" name="id" [(ngModel)]="communicationEventCDB.idCommunicationEvent" readonly />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.communicationEventCDB.idOrder" for="field_idOrder">Id Order</label>
                <input type="text" class="form-control" name="idOrder" id="field_idOrder"
                    [(ngModel)]="communicationEventCDB.idOrder"  />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.communicationEventCDB.hobby" for="field_hobby">Hobby</label>
                <input type="text" class="form-control" name="hobby" id="field_hobby"
                    [(ngModel)]="communicationEventCDB.hobby"  />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.communicationEventCDB.homeStatus" for="field_homeStatus">Home Status</label>
                <input type="text" class="form-control" name="homeStatus" id="field_homeStatus"
                    [(ngModel)]="communicationEventCDB.homeStatus"  />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.communicationEventCDB.expenditureOneMonth" for="field_expenditureOneMonth">Expenditure One Month</label>
                <input type="text" class="form-control" name="expenditureOneMonth" id="field_expenditureOneMonth"
                    [(ngModel)]="communicationEventCDB.expenditureOneMonth"  />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.communicationEventCDB.job" for="field_job">Job</label>
                <input type="text" class="form-control" name="job" id="field_job"
                    [(ngModel)]="communicationEventCDB.job"  />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.communicationEventCDB.lastEducation" for="field_lastEducation">Last Education</label>
                <input type="text" class="form-control" name="lastEducation" id="field_lastEducation"
                    [(ngModel)]="communicationEventCDB.lastEducation"  />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.communicationEventCDB.mobilePhoneOwnershipStatus" for="field_mobilePhoneOwnershipStatus">Mobile Phone Ownership Status</label>
                <input type="text" class="form-control" name="mobilePhoneOwnershipStatus" id="field_mobilePhoneOwnershipStatus"
                    [(ngModel)]="communicationEventCDB.mobilePhoneOwnershipStatus"  />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.communicationEventCDB.infoAboutHonda" for="field_infoAboutHonda">Info About Honda</label>
                <input type="text" class="form-control" name="infoAboutHonda" id="field_infoAboutHonda"
                    [(ngModel)]="communicationEventCDB.infoAboutHonda"  />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.communicationEventCDB.vehicleBrandOwner" for="field_vehicleBrandOwner">Vehicle Brand Owner</label>
                <input type="text" class="form-control" name="vehicleBrandOwner" id="field_vehicleBrandOwner"
                    [(ngModel)]="communicationEventCDB.vehicleBrandOwner"  />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.communicationEventCDB.vehicleTypeOwner" for="field_vehicleTypeOwner">Vehicle Type Owner</label>
                <input type="text" class="form-control" name="vehicleTypeOwner" id="field_vehicleTypeOwner"
                    [(ngModel)]="communicationEventCDB.vehicleTypeOwner"  />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.communicationEventCDB.buyFor" for="field_buyFor">Buy For</label>
                <input type="text" class="form-control" name="buyFor" id="field_buyFor"
                    [(ngModel)]="communicationEventCDB.buyFor"  />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.communicationEventCDB.vehicleUser " for="field_vehicleUser ">Vehicle User</label>
                <input type="text" class="form-control" name="vehicleUser " id="field_vehicleUser "
                    [(ngModel)]="communicationEventCDB.vehicleUser "  />
            </div>

        </div>
    
        <p-footer>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.cancel' | translate}}" 
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
                label="{{'entity.action.save' | translate}}" 
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </p-footer>
    </p-panel>
</form>    